OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.MatrixPalette

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBMatrixPalette :: MonadIO m => m Bool
- gl_ARB_matrix_palette :: Bool
- gl_CURRENT_MATRIX_INDEX_ARB :: GLenum
- gl_CURRENT_PALETTE_MATRIX_ARB :: GLenum
- gl_MATRIX_INDEX_ARRAY_ARB :: GLenum
- gl_MATRIX_INDEX_ARRAY_POINTER_ARB :: GLenum
- gl_MATRIX_INDEX_ARRAY_SIZE_ARB :: GLenum
- gl_MATRIX_INDEX_ARRAY_STRIDE_ARB :: GLenum
- gl_MATRIX_INDEX_ARRAY_TYPE_ARB :: GLenum
- gl_MATRIX_PALETTE_ARB :: GLenum
- gl_MAX_MATRIX_PALETTE_STACK_DEPTH_ARB :: GLenum
- gl_MAX_PALETTE_MATRICES_ARB :: GLenum
- glCurrentPaletteMatrixARB :: MonadIO m => GLint -> m ()
- glMatrixIndexPointerARB :: MonadIO m => GLint -> GLenum -> GLsizei -> Ptr a -> m ()
- glMatrixIndexubvARB :: MonadIO m => GLint -> Ptr GLubyte -> m ()
- glMatrixIndexuivARB :: MonadIO m => GLint -> Ptr GLuint -> m ()
- glMatrixIndexusvARB :: MonadIO m => GLint -> Ptr GLushort -> m ()

# Extension Support

glGetARBMatrixPalette :: MonadIO m => m Bool

Is the ARB_matrix_palette extension supported?

gl_ARB_matrix_palette :: Bool

Is the ARB_matrix_palette extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBMatrixPalette` in those cases instead.

# Enums

gl_CURRENT_MATRIX_INDEX_ARB :: GLenum

gl_CURRENT_PALETTE_MATRIX_ARB :: GLenum

gl_MATRIX_INDEX_ARRAY_ARB :: GLenum

gl_MATRIX_INDEX_ARRAY_POINTER_ARB :: GLenum

gl_MATRIX_INDEX_ARRAY_SIZE_ARB :: GLenum

gl_MATRIX_INDEX_ARRAY_STRIDE_ARB :: GLenum

gl_MATRIX_INDEX_ARRAY_TYPE_ARB :: GLenum

gl_MATRIX_PALETTE_ARB :: GLenum

gl_MAX_MATRIX_PALETTE_STACK_DEPTH_ARB :: GLenum

gl_MAX_PALETTE_MATRICES_ARB :: GLenum

# Functions

glCurrentPaletteMatrixARB

Arguments

:: MonadIO m |
=> GLint | `index`.
-> m () |

glMatrixIndexPointerARB

Arguments

:: MonadIO m |
=> GLint | `size`.
-> GLenum | `type` of type `MatrixIndexPointerTypeARB`.
-> GLsizei | `stride`.
-> Ptr a | `pointer` pointing to `COMPSIZE(size,type,stride)` elements of type `a`.
-> m () |

glMatrixIndexubvARB

Arguments

:: MonadIO m |
=> GLint | `size`.
-> Ptr GLubyte | `indices` pointing to `size` elements of type `GLubyte`.
-> m () |

glMatrixIndexuivARB

Arguments

:: MonadIO m |
=> GLint | `size`.
-> Ptr GLuint | `indices` pointing to `size` elements of type `GLuint`.
-> m () |

glMatrixIndexusvARB

Arguments

:: MonadIO m |
=> GLint | `size`.
-> Ptr GLushort | `indices` pointing to `size` elements of type `GLushort`.
-> m () |